%define _jarsign_opts --nocopy
%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/apache-tomcat-jkstatus/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

Name:      tomcat-jkstatus-ant
Epoch:     0
Version:   1.2.31
Release:   2.1%{?dist}
Summary:   Provides ant tasks that talk to the jk status servlet

Group:     Networking
License:   ASL 2.0
URL:       http://tomcat.apache.org/connectors-doc/miscellaneous/jkstatustasks.html
Source0:   http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/tomcat-connectors-%{version}-src.tar.gz
Source2:   %{name}-component-info.xml
Patch0:    tomcat-jkstatus-ant-build-xml.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils >= 0:1.5.38
BuildRequires: xalan-j2
BuildRequires: tomcat5
BuildRequires: jakarta-commons-modeler
BuildRequires: jakarta-commons-logging

Requires: tomcat5 >= 0:5.5.33
Conflicts: tomcat5 < 0:5.5.33
Conflicts: tomcat5-server-lib < 0:5.5.33

%description
Tomcat %{name} connector for Apache.

%if %{with_repolib}
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n tomcat-connectors-%{version}-src
%patch0 -p1

%build
#jar
pushd jkstatus
export CLASSPATH="$(build-classpath catalina-ant5 tomcat5/catalina-optional tomcat5/catalina tomcat5/tomcat-util jakarta-commons-modeler jakarta-commons-logging)"
ant -Dcatalina.build=%{_datadir}/tomcat5 dist
popd

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_javadir} $RPM_BUILD_ROOT%{_datadir}/tomcat5/bin
%{__cp} -p jkstatus/dist/tomcat-jkstatus-ant.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/; ln -sf %{name}-%{version}.jar %{name}.jar)
%{__cp} -p jkstatus/conf/jkstatus-tasks.xml $RPM_BUILD_ROOT%{_datadir}/tomcat5/bin/

%if %{with_repolib}
        tag=`echo %{version}-brew`
        sed -i "s/@VERSION@/$tag/g" %{SOURCE2}
        tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
        sed -i "s/@TAG@/$tag/g" %{SOURCE2}
        install -d -m 755 $RPM_BUILD_ROOT%{repodir}
        install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
        install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
        install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{repodir}/component-info.xml
        install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
        install -p -m 0644 $RPM_BUILD_ROOT%{_javadir}/tomcat-jkstatus-ant.jar $RPM_BUILD_ROOT%{repodirlib}
%endif
find $RPM_BUILD_ROOT%{repodir}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
ln -sf $(build-classpath tomcat-jkstatus-ant) %{_localstatedir}/lib/tomcat5/server/lib/%{name}.jar  2>&1

%preun
if [ $1 = 0 ]; then
    rm %{_localstatedir}/lib/tomcat5/server/lib/%{name}.jar
fi

%files
%defattr(-,root,root,-)
%doc KEYS LICENSE NOTICE
%{_javadir}*/tomcat-jkstatus-ant*.jar
%{_datadir}/tomcat5/bin/jkstatus-tasks.xml

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Apr 13 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.2.31-2.1
- Fix signing

* Mon Feb 28 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.2.31-2
- Fix location of jar

* Thu Feb 24 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.2.31-1
- First release
